path: /build/build/rust-bin-dev-lang-stable-1.77.1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-prefix" emerge dev-lang/rust-bin:stable -pv -t && \
    USE="-prefix" emerge -j ${JOBS} --nodeps dev-lang/rust-bin:stable
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/rust-bin && luet-portage --dir /pkgdir/rust-bin
    dev-lang/rust-bin:stable && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:cf08b60dd9a58360500b738436baa8b02e996a3a536ba398319914c13d18ee3a
  package:
    name: rust-bin
    version: 1.77.1
    category: dev-lang-stable
    use_flags:
    - -prefix
    requires:
    - name: typing-extensions
      version: '>=0'
      category: dev-python
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Systems programming language from Mozilla
    uri:
    - https://www.rust-lang.org/
    license: '|| ( MIT Apache-2.0 ) BSD-1 BSD-2 BSD-4 UoI-NCSA'
    buildtimestamp: 2024-04-10 07:55:56.060864753 +0000 UTC m=+337.062551497
    labels:
      BDEPEND: prefix? ( dev-util/patchelf )
      DEPEND: app-eselect/eselect-rust
      IUSE: clippy cpu_flags_x86_sse2 doc prefix rustfmt rust-src wasm abi_x86_32
        abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64 abi_mips_o32 abi_s390_32
        abi_s390_64
      RDEPEND: app-eselect/eselect-rust
      emerge.packages: dev-lang/rust-bin:stable
      kit: lang-kit
      original.package.name: dev-lang/rust-bin
      original.package.slot: stable
      original.package.version: 1.77.1
    treedir: /build/packages
  package_dir: /pkgdir/rust-bin
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: c8b7cdc3de5fd1d53b701665f492293b1aa7474667f3f8663b604bf8e56148c1
compressiontype: zstd
files:
- etc/env.d/50rust-bin-1.77.1
- etc/env.d/rust/provider-rust-bin-1.77.1
- opt/rust-bin-1.77.1/bin/cargo
- opt/rust-bin-1.77.1/bin/cargo-bin-1.77.1
- opt/rust-bin-1.77.1/bin/rust-gdb
- opt/rust-bin-1.77.1/bin/rust-gdb-bin-1.77.1
- opt/rust-bin-1.77.1/bin/rust-gdbgui
- opt/rust-bin-1.77.1/bin/rust-gdbgui-bin-1.77.1
- opt/rust-bin-1.77.1/bin/rust-lldb
- opt/rust-bin-1.77.1/bin/rust-lldb-bin-1.77.1
- opt/rust-bin-1.77.1/bin/rustc
- opt/rust-bin-1.77.1/bin/rustc-bin-1.77.1
- opt/rust-bin-1.77.1/bin/rustdoc
- opt/rust-bin-1.77.1/bin/rustdoc-bin-1.77.1
- opt/rust-bin-1.77.1/etc/bash_completion.d/cargo
- opt/rust-bin-1.77.1/lib/libLLVM-17-rust-1.77.1-stable.so
- opt/rust-bin-1.77.1/lib/librustc_driver-446dfbc559ce7c21.so
- opt/rust-bin-1.77.1/lib/libstd-6e3078511c661ac3.so
- opt/rust-bin-1.77.1/lib/rustlib/components
- opt/rust-bin-1.77.1/lib/rustlib/etc/gdb_load_rust_pretty_printers.py
- opt/rust-bin-1.77.1/lib/rustlib/etc/gdb_lookup.py
- opt/rust-bin-1.77.1/lib/rustlib/etc/gdb_providers.py
- opt/rust-bin-1.77.1/lib/rustlib/etc/lldb_commands
- opt/rust-bin-1.77.1/lib/rustlib/etc/lldb_lookup.py
- opt/rust-bin-1.77.1/lib/rustlib/etc/lldb_providers.py
- opt/rust-bin-1.77.1/lib/rustlib/etc/rust_types.py
- opt/rust-bin-1.77.1/lib/rustlib/install.log
- opt/rust-bin-1.77.1/lib/rustlib/manifest-cargo
- opt/rust-bin-1.77.1/lib/rustlib/manifest-rust-std-x86_64-unknown-linux-gnu
- opt/rust-bin-1.77.1/lib/rustlib/manifest-rustc
- opt/rust-bin-1.77.1/lib/rustlib/rust-installer-version
- opt/rust-bin-1.77.1/lib/rustlib/uninstall.sh
- opt/rust-bin-1.77.1/lib/rustlib/x86_64-unknown-linux-gnu/bin/gcc-ld/ld.lld
- opt/rust-bin-1.77.1/lib/rustlib/x86_64-unknown-linux-gnu/bin/gcc-ld/ld64.lld
- opt/rust-bin-1.77.1/lib/rustlib/x86_64-unknown-linux-gnu/bin/gcc-ld/lld-link
- opt/rust-bin-1.77.1/lib/rustlib/x86_64-unknown-linux-gnu/bin/gcc-ld/wasm-ld
- opt/rust-bin-1.77.1/lib/rustlib/x86_64-unknown-linux-gnu/bin/rust-lld
- opt/rust-bin-1.77.1/lib/rustlib/x86_64-unknown-linux-gnu/lib/libaddr2line-97d68acfa4555965.rlib
- opt/rust-bin-1.77.1/lib/rustlib/x86_64-unknown-linux-gnu/lib/libadler-2b97858586af9abb.rlib
- opt/rust-bin-1.77.1/lib/rustlib/x86_64-unknown-linux-gnu/lib/liballoc-cb895a9d9d73a7fa.rlib
- opt/rust-bin-1.77.1/lib/rustlib/x86_64-unknown-linux-gnu/lib/libcfg_if-690e7438295ce0c8.rlib
- opt/rust-bin-1.77.1/lib/rustlib/x86_64-unknown-linux-gnu/lib/libcompiler_builtins-1088ecd7666b60f4.rlib
- opt/rust-bin-1.77.1/lib/rustlib/x86_64-unknown-linux-gnu/lib/libcore-5f8e0208f8278cbc.rlib
- opt/rust-bin-1.77.1/lib/rustlib/x86_64-unknown-linux-gnu/lib/libgetopts-6c3665e746796988.rlib
- opt/rust-bin-1.77.1/lib/rustlib/x86_64-unknown-linux-gnu/lib/libgimli-c70b304f6ac84900.rlib
- opt/rust-bin-1.77.1/lib/rustlib/x86_64-unknown-linux-gnu/lib/libhashbrown-ee200428a02d516d.rlib
- opt/rust-bin-1.77.1/lib/rustlib/x86_64-unknown-linux-gnu/lib/liblibc-c9c6c96eccfdab53.rlib
- opt/rust-bin-1.77.1/lib/rustlib/x86_64-unknown-linux-gnu/lib/libmemchr-27491650d14ec48b.rlib
- opt/rust-bin-1.77.1/lib/rustlib/x86_64-unknown-linux-gnu/lib/libminiz_oxide-217c01f7aaf0f8d4.rlib
- opt/rust-bin-1.77.1/lib/rustlib/x86_64-unknown-linux-gnu/lib/libobject-d80cad399a4d0390.rlib
- opt/rust-bin-1.77.1/lib/rustlib/x86_64-unknown-linux-gnu/lib/libpanic_abort-b31dd5c2cb97143e.rlib
- opt/rust-bin-1.77.1/lib/rustlib/x86_64-unknown-linux-gnu/lib/libpanic_unwind-252c22ad03c975c9.rlib
- opt/rust-bin-1.77.1/lib/rustlib/x86_64-unknown-linux-gnu/lib/libproc_macro-09936cd5ad69a6e4.rlib
- opt/rust-bin-1.77.1/lib/rustlib/x86_64-unknown-linux-gnu/lib/libprofiler_builtins-063accc734755a7d.rlib
- opt/rust-bin-1.77.1/lib/rustlib/x86_64-unknown-linux-gnu/lib/librustc-stable_rt.asan.a
- opt/rust-bin-1.77.1/lib/rustlib/x86_64-unknown-linux-gnu/lib/librustc-stable_rt.lsan.a
- opt/rust-bin-1.77.1/lib/rustlib/x86_64-unknown-linux-gnu/lib/librustc-stable_rt.msan.a
- opt/rust-bin-1.77.1/lib/rustlib/x86_64-unknown-linux-gnu/lib/librustc-stable_rt.safestack.a
- opt/rust-bin-1.77.1/lib/rustlib/x86_64-unknown-linux-gnu/lib/librustc-stable_rt.tsan.a
- opt/rust-bin-1.77.1/lib/rustlib/x86_64-unknown-linux-gnu/lib/librustc_demangle-d55f2ec1b1801f29.rlib
- opt/rust-bin-1.77.1/lib/rustlib/x86_64-unknown-linux-gnu/lib/librustc_std_workspace_alloc-53d84a0642c19f2b.rlib
- opt/rust-bin-1.77.1/lib/rustlib/x86_64-unknown-linux-gnu/lib/librustc_std_workspace_core-433bd1aab5f6d647.rlib
- opt/rust-bin-1.77.1/lib/rustlib/x86_64-unknown-linux-gnu/lib/librustc_std_workspace_std-852a4c7021558fa9.rlib
- opt/rust-bin-1.77.1/lib/rustlib/x86_64-unknown-linux-gnu/lib/libstd-6e3078511c661ac3.rlib
- opt/rust-bin-1.77.1/lib/rustlib/x86_64-unknown-linux-gnu/lib/libstd-6e3078511c661ac3.so
- opt/rust-bin-1.77.1/lib/rustlib/x86_64-unknown-linux-gnu/lib/libstd_detect-0b96f850bca44a32.rlib
- opt/rust-bin-1.77.1/lib/rustlib/x86_64-unknown-linux-gnu/lib/libsysroot-dc0de36e16eb28b5.rlib
- opt/rust-bin-1.77.1/lib/rustlib/x86_64-unknown-linux-gnu/lib/libtest-d788bc66de795f45.rlib
- opt/rust-bin-1.77.1/lib/rustlib/x86_64-unknown-linux-gnu/lib/libunicode_width-1aa39260c43636ed.rlib
- opt/rust-bin-1.77.1/lib/rustlib/x86_64-unknown-linux-gnu/lib/libunwind-cc333506f95be41d.rlib
- opt/rust-bin-1.77.1/libexec/rust-analyzer-proc-macro-srv
- opt/rust-bin-1.77.1/man/man1/cargo-add.1
- opt/rust-bin-1.77.1/man/man1/cargo-bench.1
- opt/rust-bin-1.77.1/man/man1/cargo-build.1
- opt/rust-bin-1.77.1/man/man1/cargo-check.1
- opt/rust-bin-1.77.1/man/man1/cargo-clean.1
- opt/rust-bin-1.77.1/man/man1/cargo-doc.1
- opt/rust-bin-1.77.1/man/man1/cargo-fetch.1
- opt/rust-bin-1.77.1/man/man1/cargo-fix.1
- opt/rust-bin-1.77.1/man/man1/cargo-generate-lockfile.1
- opt/rust-bin-1.77.1/man/man1/cargo-help.1
- opt/rust-bin-1.77.1/man/man1/cargo-init.1
- opt/rust-bin-1.77.1/man/man1/cargo-install.1
- opt/rust-bin-1.77.1/man/man1/cargo-locate-project.1
- opt/rust-bin-1.77.1/man/man1/cargo-login.1
- opt/rust-bin-1.77.1/man/man1/cargo-logout.1
- opt/rust-bin-1.77.1/man/man1/cargo-metadata.1
- opt/rust-bin-1.77.1/man/man1/cargo-new.1
- opt/rust-bin-1.77.1/man/man1/cargo-owner.1
- opt/rust-bin-1.77.1/man/man1/cargo-package.1
- opt/rust-bin-1.77.1/man/man1/cargo-pkgid.1
- opt/rust-bin-1.77.1/man/man1/cargo-publish.1
- opt/rust-bin-1.77.1/man/man1/cargo-remove.1
- opt/rust-bin-1.77.1/man/man1/cargo-report.1
- opt/rust-bin-1.77.1/man/man1/cargo-run.1
- opt/rust-bin-1.77.1/man/man1/cargo-rustc.1
- opt/rust-bin-1.77.1/man/man1/cargo-rustdoc.1
- opt/rust-bin-1.77.1/man/man1/cargo-search.1
- opt/rust-bin-1.77.1/man/man1/cargo-test.1
- opt/rust-bin-1.77.1/man/man1/cargo-tree.1
- opt/rust-bin-1.77.1/man/man1/cargo-uninstall.1
- opt/rust-bin-1.77.1/man/man1/cargo-update.1
- opt/rust-bin-1.77.1/man/man1/cargo-vendor.1
- opt/rust-bin-1.77.1/man/man1/cargo-verify-project.1
- opt/rust-bin-1.77.1/man/man1/cargo-version.1
- opt/rust-bin-1.77.1/man/man1/cargo-yank.1
- opt/rust-bin-1.77.1/man/man1/cargo.1
- opt/rust-bin-1.77.1/man/man1/rustc.1
- opt/rust-bin-1.77.1/man/man1/rustdoc.1
- opt/rust-bin-1.77.1/share/doc/cargo/LICENSE-APACHE
- opt/rust-bin-1.77.1/share/doc/cargo/LICENSE-MIT
- opt/rust-bin-1.77.1/share/doc/cargo/LICENSE-THIRD-PARTY
- opt/rust-bin-1.77.1/share/doc/cargo/README.md
- opt/rust-bin-1.77.1/share/doc/rust/COPYRIGHT
- opt/rust-bin-1.77.1/share/doc/rust/LICENSE-APACHE
- opt/rust-bin-1.77.1/share/doc/rust/LICENSE-MIT
- opt/rust-bin-1.77.1/share/doc/rust/README.md
- opt/rust-bin-1.77.1/share/zsh/site-functions/_cargo
- usr/bin/cargo-bin-1.77.1
- usr/bin/rust-gdb-bin-1.77.1
- usr/bin/rust-gdbgui-bin-1.77.1
- usr/bin/rust-lldb-bin-1.77.1
- usr/bin/rustc-bin-1.77.1
- usr/bin/rustdoc-bin-1.77.1
- usr/lib/rust/lib-bin-1.77.1
- usr/lib/rust/man-bin-1.77.1
- usr/lib/rustlib-bin-1.77.1
- usr/share/doc/rust-bin-1.77.1
- var/db/pkg/dev-lang/rust-bin-1.77.1/BUILD_TIME
- var/db/pkg/dev-lang/rust-bin-1.77.1/CATEGORY
- var/db/pkg/dev-lang/rust-bin-1.77.1/CBUILD
- var/db/pkg/dev-lang/rust-bin-1.77.1/CFLAGS
- var/db/pkg/dev-lang/rust-bin-1.77.1/CHOST
- var/db/pkg/dev-lang/rust-bin-1.77.1/CONTENTS
- var/db/pkg/dev-lang/rust-bin-1.77.1/COUNTER
- var/db/pkg/dev-lang/rust-bin-1.77.1/CXXFLAGS
- var/db/pkg/dev-lang/rust-bin-1.77.1/DEFINED_PHASES
- var/db/pkg/dev-lang/rust-bin-1.77.1/DEPEND
- var/db/pkg/dev-lang/rust-bin-1.77.1/DESCRIPTION
- var/db/pkg/dev-lang/rust-bin-1.77.1/EAPI
- var/db/pkg/dev-lang/rust-bin-1.77.1/FEATURES
- var/db/pkg/dev-lang/rust-bin-1.77.1/HOMEPAGE
- var/db/pkg/dev-lang/rust-bin-1.77.1/INHERITED
- var/db/pkg/dev-lang/rust-bin-1.77.1/IUSE
- var/db/pkg/dev-lang/rust-bin-1.77.1/IUSE_EFFECTIVE
- var/db/pkg/dev-lang/rust-bin-1.77.1/KEYWORDS
- var/db/pkg/dev-lang/rust-bin-1.77.1/LDFLAGS
- var/db/pkg/dev-lang/rust-bin-1.77.1/LICENSE
- var/db/pkg/dev-lang/rust-bin-1.77.1/NEEDED
- var/db/pkg/dev-lang/rust-bin-1.77.1/PF
- var/db/pkg/dev-lang/rust-bin-1.77.1/PROVIDES
- var/db/pkg/dev-lang/rust-bin-1.77.1/RDEPEND
- var/db/pkg/dev-lang/rust-bin-1.77.1/REQUIRES
- var/db/pkg/dev-lang/rust-bin-1.77.1/RESTRICT
- var/db/pkg/dev-lang/rust-bin-1.77.1/SIZE
- var/db/pkg/dev-lang/rust-bin-1.77.1/SLOT
- var/db/pkg/dev-lang/rust-bin-1.77.1/USE
- var/db/pkg/dev-lang/rust-bin-1.77.1/environment.bz2
- var/db/pkg/dev-lang/rust-bin-1.77.1/repository
- var/db/pkg/dev-lang/rust-bin-1.77.1/rust-bin-1.77.1.ebuild
package_cacheimage: ""
runtime:
  name: rust-bin
  version: 1.77.1
  category: dev-lang-stable
  use_flags:
  - -prefix
  requires:
  - name: eselect-rust
    version: '>=0'
    category: app-eselect
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Systems programming language from Mozilla
  uri:
  - https://www.rust-lang.org/
  license: '|| ( MIT Apache-2.0 ) BSD-1 BSD-2 BSD-4 UoI-NCSA'
  labels:
    BDEPEND: prefix? ( dev-util/patchelf )
    DEPEND: app-eselect/eselect-rust
    IUSE: clippy cpu_flags_x86_sse2 doc prefix rustfmt rust-src wasm abi_x86_32 abi_x86_64
      abi_x86_x32 abi_mips_n32 abi_mips_n64 abi_mips_o32 abi_s390_32 abi_s390_64
    RDEPEND: app-eselect/eselect-rust
    emerge.packages: dev-lang/rust-bin:stable
    kit: lang-kit
    original.package.name: dev-lang/rust-bin
    original.package.slot: stable
    original.package.version: 1.77.1
